# Aquila Admin Theme
* Contributors: GuyPrimavera
* Donate link: https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=YVPWSJB4SPN5N

Material Design inspired admin theme with a customisable color scheme. Add your own custom logo to match your website.

## Description

A Material Design inspired customisable color scheme and re-design for WordPress Admin (v4.0 onwards). Useful for client websites, Aquila also cleans up the admin area from unnecessary or potentially confusing items for the end-user.

Many updates have been made to the admin area, including:

*   Admin area complete re-design.
*   Use your own logo instead of the WordPress logo in the admin area and login screen.
*   Customisable color scheme with color picker.
*   Roboto typeface to match Material Design guidelines.
*   "Posts" renamed to "Blog" (can be changed back in Aquila Settings).
*   Dashboard metaboxes removed and cleaned up.
*   User "Profile" area cleaned up and simplified.
*   New custom icon pack.
*   Current user role added as an admin body class.
*   Removed "How are you.." from the top-right corner.
*   Re-designed login screen.
*   Admin bar de-cluttered.
*   New dashboard widgets.
*   WordPress and plugins support links on dashboard.
*   "Update" notifications hidden from Editors.
*   "Post Format" removed from posts.
*   Multisite support.
*   View server information directly on the dashboard.
*   Media Library support for clear PNG images.
*   Aquila Settings page to control most of these options.

## Installation

### Via FTP

1. Upload **aquila-admin-theme** to the /wp-content/plugins/ directory.
2. Activate **Aquila Admin Theme** through the 'Plugins' menu in WordPress.
3. That's it! The default settings are applied automatically, and you can hide other pages in the options page at **Settings > Aquila Settings** if you wish.

### Via WordPress Admin

1. Go to **Plugins** > **Add New**.
2. Search for **Aquila Admin Theme** and click **Install**.
3. Click **Activate** once installation is complete.
4. That's it! The default settings are applied automatically, and you can hide other pages in the options page at **Settings > Aquila Settings** if you wish.

## Frequently Asked Questions

### Do I need to configure this plugin or change any settings?

No. All settings are applied automatically once the plugin is activated, but there is now an "Aquila Settings" page to refine these options if you wish to do so.

### Can I change the Aquila "eagle" logo to my own company's logo?

Yes. Go to **Settings > Aquila Settings** to upload a new logo image. PNGs with a clear background and white foreground work best.

### Can I change the colors to my own website's style?

Yes. Go to **Settings > Aquila Settings** and click the **Color Scheme** tab. Here you can choose new colors for the admin area.

### Does this plugin make any changes to the website's front-end?

No. It only changes the admin area, the login page and the admin bar for logged-in users.
